Bug 96892 - ivo segfaults X on newer nvidia-drivers
Summary: ivo segfaults X on newer nvidia-drivers
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-11 08:10 UTC by main.haarp
Modified: 2017-11-10 10:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
ivo log on Nvidia 367.27 (9.53 KB, text/plain)
2016-07-11 08:10 UTC, main.haarp
no flags Details
Xorg log on nvidia 367.27 (19.23 KB, text/plain)
2016-07-11 08:11 UTC, main.haarp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description main.haarp 2016-07-11 08:10:39 UTC
Created attachment 125004 [details]
ivo log on Nvidia 367.27

Between Nvidia drivers 361 and 364, there has been some change that makes intel-virtual-output cause segmentation faults in the Nvidia X server when it is used. Since this driver version is necessary for newer Linux kernels (4.6+), it makes it pretty much impossible to use ivo on this kernel.

Here is a report of another user suffering from the same issue: https://bbs.archlinux.org/viewtopic.php?id=214257

I'm not certain if this is a bug in the Nvidia driver (i.e. I should report this to Nvidia) or if ivo is using some interface that has become deprecated or something like that. Hence I'm reporting it here first.

Thanks for reading!
Comment 1 main.haarp 2016-07-11 08:11:03 UTC
Created attachment 125005 [details]
Xorg log on nvidia 367.27
Comment 2 main.haarp 2016-08-22 14:23:26 UTC
The patches posted here seem to work around the problem in i-v-o:

https://github.com/Bumblebee-Project/Bumblebee/issues/759#issuecomment-241221848

No more X server crashes.
Comment 3 freedesktop-bugs 2017-11-09 01:05:01 UTC
I would greatly appreciate if this was fixed for nvidia >= version 384 (which is the earliest version which received a recent security fix) and it was ensured that the fix is deployed to Ubuntu 16.04, 17.04 or 17.10 - my preference would be the first two of those versions.

My $700 laptop is worthless without intel-virtual-output + Bumblebee.

Thanks!
Comment 4 Jani Nikula 2017-11-09 14:42:11 UTC
(In reply to freedesktop-bugs from comment #3)
> My $700 laptop is worthless without intel-virtual-output + Bumblebee.

Sincerely, that complaint is best directed at the provider of the closed source driver.
Comment 5 freedesktop-bugs 2017-11-10 01:48:43 UTC
(In reply to Jani Nikula from comment #4)
> (In reply to freedesktop-bugs from comment #3)
> > My $700 laptop is worthless without intel-virtual-output + Bumblebee.
> 
> Sincerely, that complaint is best directed at the provider of the closed
> source driver.

Look I know about your pain with NVidia.
I spent hours reading their forums and the complaints of people about the lack of proper offloading with computers with the Optimus configuration (Intel+NVidia GPU), and how they're doing nothing about it.

I've spent over a day googling for laptops without Optimus, and it's nowadays just impossible to find a decent device which only has an Intel card and still has a quad core, docking station support and a trackpoint instead of a shitty touchpad.

The only other option I would have is to not have a laptop, but I need a laptop to do my job.

So I would very deeply appreciate if this issue was fixed, especially considering the patch on the Bumblebee bugtracker for this issue is two lines only ;)

If you need any help from me I will try to do my best!

Thank you
Comment 6 Jani Nikula 2017-11-10 10:29:27 UTC
(In reply to freedesktop-bugs from comment #5)
> So I would very deeply appreciate if this issue was fixed, especially
> considering the patch on the Bumblebee bugtracker for this issue is two
> lines only ;)

Accompanied with, "Works for me, but the XRRSetPanning() calls seem to be necessary in the general case, so ymmv." but zero explanation why this would be needed to work with a black box binary package. It's a rabbit hole. There's no end to it.

Life is too short to be debugging binary blobs without source.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.